Subject: Re: Query on git commit amend

From: Viresh Kumar <[email-masked]>
Date: Thu, 8 Dec 2011 10:56:05 +0530

On 12/6/2011 9:16 PM, Vijay Lakshminarayanan wrote:
> I've found 
> 
> $ GIT_EDITOR=cat git commit --amend
> 
> useful.
> 
> The benefit of this technique is that it even works for git-rebase -i.
> 
> In my typical git usage, I do a lot of git-commit --fixup's.  After
> reaching a level of stability, I change the history with:
> 
> GIT_EDITOR=cat git rebase -i --autosquash
> 
> and my history is adjusted without requiring manual intervention.

Hi Junio,

After going through autosquash option for rebase, i was wondering
if there is a way to create a new commit easily for autosquash.

For autosquash to work, we need to keep the same commit log/title,
prefixed with squash! or Fixup! etc. What about adding another option
in commit amend which adds squash! or Fixup! automatically. So, manual
intervention at all. :)

I don't know if it already exist.

-- 
viresh